<?php

namespace Drupal\command_bus\Command;

/**
 * Interface CommandHandlerInterface.
 *
 * @package Drupal\command_bus\Handler
 */
interface CommandHandlerInterface {

  /**
   * Sets the attached command.
   *
   * @param \Drupal\command_bus\Command\CommandInterface $command
   *   The attached command.
   */
  public function setCommand(CommandInterface $command);

  /**
   * Returns the attached command.
   *
   * @return \Drupal\command_bus\Command\CommandInterface
   *   The attached command.
   */
  public function getCommand();

  /**
   * Handles the command.
   */
  public function handle();

}
